{include file="head.html"}
<div id="maincontent">
  <div class="wrap"><br />
    <form action="__URL__/manage_edit" id="form" method="post">
      <div class="infobox">
        <h3>{lang='修改字段'}</h3>
        <table class="form-table table_style">
          <tr>
            <td width="100">{lang='字段描述'}：</td>
            <td><input name="name" type='text' class="regular-text" id="name" value="{$info['name']}" reg="." tip="{lang='模型中文标识'}" /></td>
          </tr>
          <tr>
            <td width="100">{lang='字段名'}：</td>
            <td>{$info['field']}</td>
          </tr>
          <tr>
            <td width="100">{lang='字段类型'}：</td>
            <td>
          <?php 
          switch($info['type']) {
          case 1:        
                echo module('common')->getlang('单行文本');
                break;
          case 2:        
                echo module('common')->getlang('多行文本');
                break;
          case 3:        
                echo module('common')->getlang('编辑器');
                break;
          case 4:        
                echo module('common')->getlang('下拉列表');
                break;
          case 5:        
                echo module('common')->getlang('上传框');
                break;
          case 6:        
                echo module('common')->getlang('数字');
                break;
          case 7:        
                echo module('common')->getlang('货币(保留2位小数)');
                break;
          case 8:        
                echo module('common')->getlang('时间');
                break;
          }
          ?>
            </td>
          </tr>
          <tr>
            <td width="100">{lang='默认值'}：</td>
            <td>
            <textarea name="default_val" id="default_val" cols="0" class="regular-textarea" style="width:300px !important; height:80px">{$info['default_val']}</textarea> <br />
{lang='如果为下拉列表则一行一个数值与描述以英文模式逗号分割。'}
            </td>
          </tr>
        </table>
      </div>
      <div class="submit_body">
        <input name="psot_do" id="psot_do" type="hidden" value="yes" />
        <input name="id" id="id" type="hidden" value="{$info['id']}" />
        <button class="regular-button" type="button" onclick="post()">{lang='修改'}</button>
      </div>
    </form>
  </div>
</div>
</body></html>